p3dfft

module (bold = default) build dependencies
p3dfft/2.7.1/b1 gcc 4.4.7 fftw3/3.3.4/b1
p3dfft/2.7.4/b1 gcc 5.2.0 fftw3/3.3.4/b4

also see Using Software.